///*
// * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
// *
// * https://www.mall4j.com/
// *
// * 未经允许，不可做商业用途！
// *
// * 版权所有，侵权必究！
// */
//package com.mcwl.common.i18n;
//
//
//
//import lombok.extern.slf4j.Slf4j;
//import org.springframework.stereotype.Component;
//import org.springframework.web.servlet.LocaleResolver;
//import org.springframework.web.servlet.i18n.LocaleChangeInterceptor;
//import org.springframework.web.servlet.support.RequestContextUtils;
//
//import javax.servlet.http.HttpServletRequest;
//import javax.servlet.http.HttpServletResponse;
//
///**
// * @author LGH
// */
//@Component("localeChangeInterceptor")
//@Slf4j
//public class YamiLocaleChangeInterceptor extends LocaleChangeInterceptor {
//
//    @Override
//    public boolean preHandle(HttpServletRequest request, HttpServletResponse response, Object handler) {
//
//        String newLocale = request.getHeader(getParamName());
//        if (newLocale != null) {
//                LocaleResolver localeResolver = RequestContextUtils.getLocaleResolver(request);
//                if (localeResolver == null) {
//                    throw new IllegalStateException(
//                            "No LocaleResolver found: not in a DispatcherServlet request?");
//                }
//                try {
//                    localeResolver.setLocale(request, response, parseLocaleValue(newLocale));
//                }
//                catch (IllegalArgumentException ex) {
//                    if (isIgnoreInvalidLocale()) {
//                        if (logger.isDebugEnabled()) {
//                            logger.debug("Ignoring invalid locale value [" + newLocale + "]: " + ex.getMessage());
//                        }
//                    }
//                    else {
//                        throw ex;
//                    }
//                }
//        }
//        // Proceed in any case.
//        return true;
//    }
//
//}
